Upload Video Asset

Uploads video file

📘

URL: POST /api/v1/assets/video

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiserintegerYA valid advertiser Id
videoFilePath to video filefileY
profileNameenumYRequired value: checkin
generateCaptionsbooleanYTrue, false (should typically be set to true)

Video Requirements

File size: 500MB maximum
File type: mp4 or mov
Resolution: 1280x720 to 3840x2160 px, 16:9
Duration: 5-45 seconds

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X POST \
'https: //developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/assets/video' \ --header 'Content-Type: multipart/form-data'\
--header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v00-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779'\
--form "advertiserId=00000" \
--form "videoFile=/pathto/video.mp4" \
--form "profileName=checkin" \
--form "generateCaptions=true"

Response

FieldDescriptionOptional field/Nullable?TypePossible values
codeThe response code can have following values:
  • success
  • failure

Click here for more information about Status Codes and Errors
Nstringsuccess, failure
detailsDetails will populate success or error message depending upon value of code.Nstring
assetIdID of the video asset file. It is returned in response only if code = successYstring
captioningJobIdID of the captioning job when generateCaptions = true
It is returned in response only if code = success
Ystring
messageHigh-level summary of the error, when available. Ystring 
errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray<object> 

errors array object details

FieldDescriptionOptional field/Nullable?TypePossible values
fieldOmitted if the error applies to the request as a whole.Ystring 
errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 

Sample Response

[ { "code": "success", "assetId": "4eb7e35e-2081-4bf9-85da-0a005994f6c5", "captioningJobId": "83bb0f0e-c7d4-43a9-9275-20a1f3508cb3", "errorMessage": null, "details": [ "SUCCESS" ] }
]

Sample Response - Failure

[ { "code": "failure", "details": [ "string" ],    "message": "string",
    "errors": [ { "field": "string", "errorType": "string", "description": "string" } ] }
]

Did this page help you?